--AH:ScriptId=cd26745f-75cd-4c97-bdb2-6150995e642e;3143
CREATE TABLE [Licenses]
(
	[License_Id] INT IDENTITY(1, 1) NOT NULL,
	[External_Id] VARCHAR(50) NOT NULL,
	[Title_Text] NVARCHAR(200) NOT NULL,

	CONSTRAINT [PK__Licenses]
		PRIMARY KEY ([License_Id]),

	CONSTRAINT [CK__Licenses__External_Id]
		CHECK (RTRIM(LTRIM([External_Id])) <> ''),

	CONSTRAINT [UQ__Licenses__External_Id]
		UNIQUE ([External_Id])
)

CREATE TABLE [LicenseUrls]
(
	[License_Id] INT NOT NULL,
	[License_Url] VARCHAR(400) NOT NULL,

	CONSTRAINT [FK__LicenseUrls__Licenses]
		FOREIGN KEY ([License_Id])
		REFERENCES [Licenses] ([License_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__LicenseUrls__License_Url]
		CHECK ([License_Url] NOT LIKE 'http://%' AND [License_Url] NOT LIKE 'https://%'),

	CONSTRAINT [UQ__LicenseUrls__License_Url]
		UNIQUE CLUSTERED ([License_Url])
)
GO

CREATE NONCLUSTERED INDEX [IX__LicenseUrls__License_Id]
	ON [LicenseUrls] ([License_Id])

CREATE TABLE [LicenseRules]
(
	[LicenseRule_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NULL,
	[License_Id] INT NOT NULL,
	[Allow_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__LicenseRules]
		PRIMARY KEY ([LicenseRule_Id]),

	CONSTRAINT [FK__LicenseRules__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__LicenseRules__Licenses]
		FOREIGN KEY ([License_Id])
		REFERENCES [Licenses] ([License_Id])
		ON DELETE CASCADE
)
GO

CREATE NONCLUSTERED INDEX [IX__LicenseRules__Feed_Id]
	ON [LicenseRules] ([Feed_Id])

ALTER TABLE [Feeds]
	ADD [AllowUnknownLicenses_Indicator] YNINDICATOR NULL
GO

DROP TABLE [FeedLicenseUrls]
