EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_GetLatestPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PypiPackages_Overview',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets recent PyPI package updates from the specified feed.'
GO

IF OBJECT_ID('[PypiPackages_GetLatestPackages]') IS NOT NULL DROP PROCEDURE [PypiPackages_GetLatestPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_GetLatestPackages]
(
	@Feed_Id INT,
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [PypiPackages_Overview]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Published_Date] DESC

END
GO

GRANT EXECUTE ON [PypiPackages_GetLatestPackages] TO [ProGetUser_Role]
GO
